Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035529
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSminorhave not tried2017-02-28 16:062017-04-26 23:14
ReporterSandrahuguetView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR17Q1.1
StatusclosedFix in branchFixed in SCM revision9ffd4eb5976c
ProjectionnoneETAnoneTarget VersionRR17Q1.1
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression levelProduction - QA Approved
Regression date
Regression introduced in releaseRR16Q4
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035529: Characteristics values are not shown in tree mode

DescriptionCharacteristics values are not shown in tree mode
Steps To ReproduceIn the backend:
-Go to Product Characteristic window
-Select 'Use' category
-Create a new value -> name: Alpine, summary level: true
-Select tree view and drag and drop "Alpine Skiing, Ski Touring" and "Alpine Skiing, Snowboarding" inside "Alpine"

Log in WebPOS
-Tap on search
-Tap on Use characteristic, notice that characteristic values are not shown in tree mode
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0035381 closedranjith_qualiantech_com Characteristics values are not shown in tree mode 

-  Notes
(0095756)
hgbot (developer)
2017-03-31 12:25

Repository: retail/backports/3.0RR17Q1.1/org.openbravo.retail.posterminal
Changeset: 95aec22976d98867a0cbc82ab15175de160356f5
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri Mar 31 15:54:05 2017 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR17Q1.1/org.openbravo.retail.posterminal/rev/95aec22976d98867a0cbc82ab15175de160356f5 [^]

Fixes issue 35529 : Added Tree level for Product Characteristics

* Refactored Code (Duplicate DAL queries replaced with childrenList)
* Removed Tree Node Query for Remote Mode
* If Child(which also children) is selected and searched, then if we open the popup Children should not be shown for the selected child

---
M src/org/openbravo/retail/posterminal/master/CharacteristicValue.java
M src/org/openbravo/retail/posterminal/master/CharacteristicValueProperties.java
M web/org.openbravo.retail.posterminal/js/components/modalproductcharacteristic.js
M web/org.openbravo.retail.posterminal/js/model/characteristicvalue.js
---
(0095757)
hgbot (developer)
2017-03-31 12:25

Repository: retail/backports/3.0RR17Q1.1/pi-mobile
Changeset: 8b134db38585986458bd516f5d810c0be26a85f0
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri Mar 31 15:54:09 2017 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR17Q1.1/pi-mobile/rev/8b134db38585986458bd516f5d810c0be26a85f0 [^]

Verifies issue 35529 : Added automated test 'I35529_VerifyProductCharacteristicsTree'

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/ProductCharacteristicsSearchProductSelectCharacteristic.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I35529_VerifyProductCharacteristicsTree.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I35529_VerifyProductCharacteristicsTree_HV.java
---
(0096064)
ranjith_qualiantech_com (developer)
2017-04-19 12:56

incremental refresh is not working fine
(0096078)
hgbot (developer)
2017-04-20 08:48

Repository: retail/backports/3.0RR17Q1.1/org.openbravo.retail.posterminal
Changeset: 9ffd4eb5976cc23d5e52534ea8d718c77b3a8d5e
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Apr 20 12:17:56 2017 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR17Q1.1/org.openbravo.retail.posterminal/rev/9ffd4eb5976cc23d5e52534ea8d718c77b3a8d5e [^]

Fixes issue 35529 : Added Incremental Refresh for Product Characteristics

---
M src/org/openbravo/retail/posterminal/master/CharacteristicValue.java
M web/org.openbravo.retail.posterminal/js/components/modalproductcharacteristic.js
---
(0096079)
hgbot (developer)
2017-04-20 08:48

Repository: retail/backports/3.0RR17Q1.1/pi-mobile
Changeset: a937223be2895af2ff9c201ca6e1e63789cc7b4a
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Apr 20 12:18:06 2017 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR17Q1.1/pi-mobile/rev/a937223be2895af2ff9c201ca6e1e63789cc7b4a [^]

Verifies issue 35529 : Modified automated test 'I35529_VerifyProductCharacteristicsTree' for Incremental refresh

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I35529_VerifyProductCharacteristicsTree.java
---

- Issue History
Date Modified Username Field Change
2017-03-15 13:00 marvintm Type defect => backport
2017-03-15 13:00 marvintm Target Version => RR17Q1.1
2017-03-17 14:26 Sandrahuguet Summary Characteristics values are not shown in tree mode => Characteristic treenode information is redundant in remote mode for products
2017-03-17 14:27 Sandrahuguet Summary Characteristic treenode information is redundant in remote mode for products => Characteristics values are not shown in tree mode
2017-03-31 12:25 hgbot Checkin
2017-03-31 12:25 hgbot Note Added: 0095756
2017-03-31 12:25 hgbot Status scheduled => resolved
2017-03-31 12:25 hgbot Resolution open => fixed
2017-03-31 12:25 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/backports/3.0RR17Q1.1/org.openbravo.retail.posterminal/rev/95aec22976d98867a0cbc82ab15175de160356f5 [^]
2017-03-31 12:25 hgbot Checkin
2017-03-31 12:25 hgbot Note Added: 0095757
2017-04-19 12:56 ranjith_qualiantech_com Note Added: 0096064
2017-04-19 12:56 ranjith_qualiantech_com Status resolved => new
2017-04-19 12:56 ranjith_qualiantech_com Resolution fixed => open
2017-04-19 12:56 ranjith_qualiantech_com Status new => scheduled
2017-04-20 08:48 hgbot Checkin
2017-04-20 08:48 hgbot Note Added: 0096078
2017-04-20 08:48 hgbot Status scheduled => resolved
2017-04-20 08:48 hgbot Resolution open => fixed
2017-04-20 08:48 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/3.0RR17Q1.1/org.openbravo.retail.posterminal/rev/95aec22976d98867a0cbc82ab15175de160356f5 [^] => http://code.openbravo.com/retail/backports/3.0RR17Q1.1/org.openbravo.retail.posterminal/rev/9ffd4eb5976cc23d5e52534ea8d718c77b3a8d5e [^]
2017-04-20 08:48 hgbot Checkin
2017-04-20 08:48 hgbot Note Added: 0096079
2017-04-26 23:14 guilleaer Review Assigned To => guilleaer
2017-04-26 23:14 guilleaer Status resolved => closed
2017-04-26 23:14 guilleaer Fixed in Version => RR17Q1.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker